Update Knowledge Insight
curl --request PUT \
--url https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id} \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 1073741823,
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"content_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"source_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": 100000,
"relation": "supports"
}
],
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reasoning": "",
"limitations": [
"<string>"
],
"tags": [
"<string>"
],
"client_label": "<string>"
}
'import requests
url = "https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}"
payload = {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 1073741823,
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"content_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"source_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": 100000,
"relation": "supports"
}
],
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reasoning": "",
"limitations": ["<string>"],
"tags": ["<string>"],
"client_label": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_revision: 1073741823,
title: '<string>',
summary: '<string>',
evidence: [
{
content_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quote: '<string>',
source_revision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
start: 100000,
relation: 'supports'
}
],
entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reasoning: '',
limitations: ['<string>'],
tags: ['<string>'],
client_label: '<string>'
})
};
fetch('https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'request_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expected_revision' => 1073741823,
'title' => '<string>',
'summary' => '<string>',
'evidence' => [
[
'content_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'quote' => '<string>',
'source_revision_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'start' => 100000,
'relation' => 'supports'
]
],
'entity_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'project_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'reasoning' => '',
'limitations' => [
'<string>'
],
'tags' => [
'<string>'
],
'client_label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}"
payload := strings.NewReader("{\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 1073741823,\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"evidence\": [\n {\n \"content_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quote\": \"<string>\",\n \"source_revision_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"start\": 100000,\n \"relation\": \"supports\"\n }\n ],\n \"entity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reasoning\": \"\",\n \"limitations\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"client_label\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}")
.header("Content-Type", "application/json")
.body("{\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 1073741823,\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"evidence\": [\n {\n \"content_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quote\": \"<string>\",\n \"source_revision_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"start\": 100000,\n \"relation\": \"supports\"\n }\n ],\n \"entity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reasoning\": \"\",\n \"limitations\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"client_label\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 1073741823,\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"evidence\": [\n {\n \"content_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quote\": \"<string>\",\n \"source_revision_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"start\": 100000,\n \"relation\": \"supports\"\n }\n ],\n \"entity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reasoning\": \"\",\n \"limitations\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"client_label\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}agent-knowledge
Update Knowledge Insight
Replace a synthesis at its expected revision; _save authorizes the actor.
PUT
/
agent
/
v1
/
knowledge
/
insights
/
{insight_id}
Update Knowledge Insight
curl --request PUT \
--url https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id} \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 1073741823,
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"content_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"source_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": 100000,
"relation": "supports"
}
],
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reasoning": "",
"limitations": [
"<string>"
],
"tags": [
"<string>"
],
"client_label": "<string>"
}
'import requests
url = "https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}"
payload = {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expected_revision": 1073741823,
"title": "<string>",
"summary": "<string>",
"evidence": [
{
"content_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quote": "<string>",
"source_revision_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"start": 100000,
"relation": "supports"
}
],
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"project_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reasoning": "",
"limitations": ["<string>"],
"tags": ["<string>"],
"client_label": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
expected_revision: 1073741823,
title: '<string>',
summary: '<string>',
evidence: [
{
content_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
quote: '<string>',
source_revision_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
start: 100000,
relation: 'supports'
}
],
entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
project_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
reasoning: '',
limitations: ['<string>'],
tags: ['<string>'],
client_label: '<string>'
})
};
fetch('https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'request_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'expected_revision' => 1073741823,
'title' => '<string>',
'summary' => '<string>',
'evidence' => [
[
'content_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'quote' => '<string>',
'source_revision_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'start' => 100000,
'relation' => 'supports'
]
],
'entity_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'project_id' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'reasoning' => '',
'limitations' => [
'<string>'
],
'tags' => [
'<string>'
],
'client_label' => '<string>'
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}"
payload := strings.NewReader("{\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 1073741823,\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"evidence\": [\n {\n \"content_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quote\": \"<string>\",\n \"source_revision_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"start\": 100000,\n \"relation\": \"supports\"\n }\n ],\n \"entity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reasoning\": \"\",\n \"limitations\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"client_label\": \"<string>\"\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}")
.header("Content-Type", "application/json")
.body("{\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 1073741823,\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"evidence\": [\n {\n \"content_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quote\": \"<string>\",\n \"source_revision_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"start\": 100000,\n \"relation\": \"supports\"\n }\n ],\n \"entity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reasoning\": \"\",\n \"limitations\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"client_label\": \"<string>\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://agent.crowdlisten.com/agent/v1/knowledge/insights/{insight_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"request_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"expected_revision\": 1073741823,\n \"title\": \"<string>\",\n \"summary\": \"<string>\",\n \"evidence\": [\n {\n \"content_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"quote\": \"<string>\",\n \"source_revision_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"start\": 100000,\n \"relation\": \"supports\"\n }\n ],\n \"entity_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"project_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"reasoning\": \"\",\n \"limitations\": [\n \"<string>\"\n ],\n \"tags\": [\n \"<string>\"\n ],\n \"client_label\": \"<string>\"\n}"
response = http.request(request)
puts response.read_body{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Path Parameters
Body
application/json
Required range:
0 <= x <= 2147483646Required string length:
1 - 300Required string length:
1 - 16000Required array length:
1 - 20 elementsShow child attributes
Show child attributes
Maximum string length:
16000Maximum array length:
30Required string length:
1 - 2000Maximum array length:
30Required string length:
1 - 80Maximum string length:
80Response
Successful Response